function [score] = otsu_dice_coeff(img, ref)
    % Function for getting the dice coefficient using segmentation by the
    % global tresholding using Otsu's method
    %img = post.cyllinder_trim(img, 10);
    [lev_img] = multithresh(img);
    seg_img = imbinarize(img,lev_img);
    [lev] = multithresh(ref);
    seg_ref = imbinarize(ref,lev);
    
    % computing of the dice coefficient
        score = dice(seg_img, seg_ref);

    
end